clear 
clc

% suspension resonant frequency
w0 = 2*pi*1.; 
% suspension Q
Q = 1000;

% Sensor gain 
Gsens = 1e7; % in m/V

% Sensor gain 
GservoZ = [0];
GservoP = [-10 -10]; 
GservoK = 30; 

% actuator DC response
act = 1e-6; % in Newton/kg / Volt (= m/s^2 / Volt)

% Makes the State-Space object from the .mdl
[A,B,C,D] = linmod2('Model_Servo1');
% warning off
model_sys = ss(A,B,C,D);

%%% Run application
% Suspension resposnes
% figure(1)
% Sus_resp;

% Openloop transfer function
figure(2)
openloop_resp;

% Suspension resposnes
figure(3)
Loop_suppression;
